StopForumSpam

  • Hi,


    ich erhalte seit genau dem 31.11. 31.10. folgenden Fehler wenn ein Besucher versucht zu registrieren:



    Der Fehler ist mir vor dem 31.10. noch nicht vorgekommen. Seit dem 31.10. hatte ich insgesamt 6 neue Registrierungen, keine war aber zu dem Zeitpunkt wo der Fehler geloggt wurde.


    Gruß

    2 Mal editiert, zuletzt von scy ()

  • Jupp,


    wurde heute sogar von einem Besucher angeschrieben der versucht hat sich zu registrieren. Die Fehlermeldung war die selbe


    Er hat es auch schon mit unterschiedlichen Browsern getestet.



  • Das Problem ist dass ich das überhaupt nicht reproduzieren kann und es betrifft auch nicht jeden Besucher. Ich bin gerade dran dass einer der betroffene User mehr Infos rausrückt.


    FTP Daten kann ich dir später zuschicken, ich habe ewig lange Passwörter die ich auf einen verschlüsselten USB Stick gespeichert habe .. bin aber gerade wieder unterwegs und komme nicht an die Daten ran.


    Gruß

  • kurzes Update:


    Bis jetzt hat leider noch kein Betroffener nähere Angaben gemacht und ich kann das auch nicht reproduzieren wie der Fehler zustande kommt.


    Was ich aber definitiv sagen kann ist, dass mir der Fehler nur unter Ubuntu 16.10 vorgekommen ist, also Server Distro und nicht Client Betriebssystem.


    Mir ist das ganze aufgefallen weil sich die betroffenen User in meinem "Testforum" (vServer mit Ubuntu 16.04.) registrieren konnten und unter meinem Liveserver mit Ubuntu 16.10 nicht. Dann habe ich kurzerhand meinen Liveserver neu aufgesetzt mit 16.04. und die alle Registrierungen haben funktioniert.


    Ich habe jetzt nicht nachgeforscht ob es unter 16.04 und 16.10 eventuell andere PHP-Pakete sind bzw. andere Patchlevel, möglicherweise ist da irgendwas faul an dem JSON Modul.


    Gruß

  • Ich poste mal die genaue Bezeichnung der PHP-Pakete, JSON-Modul ist laut Ausgabe die selbe Version


    Läuft (16.04 LTS)
    PHP Version => 7.0.8-0ubuntu0.16.04.3
    Json 1.4.0


    kommt gelegentlich der JSON::decode(NULL, true) Fehler (16.10)
    PHP Version => 7.0.8-3ubuntu3
    Json 1.4.0

  • Scheint doch nicht mit der Distro zusammenzuhängen :( . Dass sich die anderen auf einmal registrieren konnten war wohl Zufall.


    Habe eben wieder eine E-Mail erhalten von einem User der sich nicht registrieren konnte. Fehler wie oben ... ich kann mir keinen Reim darauf machen.


    Habe das SFS Plugin deaktiviert, ich lasse den User registrieren und reiche dir die Daten rüber bzw. versuche mehr herauszufinden was bei ihm anders ist als bei andere :D


    Immerhin können sich 4 von 5 problemlos registrieren und andere selbst wenn die es 5mal hintereinander versuchen klappt es nicht.